Bug 1412593 - [WALA] Cannot monitor hostname when self-updating
Summary: [WALA] Cannot monitor hostname when self-updating
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: WALinuxAgent
Version: 7.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1429322
TreeView+ depends on / blocked
 
Reported: 2017-01-12 11:43 UTC by Yuxin Sun
Modified: 2019-02-26 20:57 UTC (History)
11 users (show)

Fixed In Version: WALinuxAgent-2.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1429322 (view as bug list)
Environment:
Last Closed: 2017-03-07 08:51:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Azure WALinuxAgent issues 540 0 None None None 2017-01-12 11:43:09 UTC

Description Yuxin Sun 2017-01-12 11:43:09 UTC
Description of problem:
When wala is self-updating(or restarting, or any scenario that the run-exthandler process is not running), if I change hostname, then when the run-exthandler process is running again, the new hostname cannot be sent to DHCP server.

Version-Release number of selected component (if applicable):
WALinuxAgent-2.2.0+

RHEL Version: 
RHEL-7.3

How reproducible:
100%

Steps to Reproduce:
1. Prepare a RHEL-7.3 VM with WALA-2.2.0+ installed. 
2. Enable AutoUpdate, restart waagent service
3. When the run-exthandler process is exit, change hostname
~]# hostnamectl set-hostname newhostname
4. Wait for the run-exthandler process started. When it started, check DNS:
~]# nslookup newhostname.domain-name

Actual Result:
The newhostname is not sent and added to DNS server.

Expect Result:
The newhostname is sent and added to DNS server.

Additional Info:
when the run-exthandler process start, first it set self.hostname as current hostname in the env.py, then it begins to monitor the hostname changes. So if the hostname is changed before the run-exthandler process starting, the hostname will not be sent to the DHCP server.

Comment 2 Yuhui Jiang 2017-02-21 09:37:29 UTC
Verified on WALinuxAgent-2.2.4-1 RHEL-6.9-20170202.0.
Result is pass.

Comment 3 Yuxin Sun 2017-02-24 11:45:26 UTC
Verified on WALinuxAgent-2.2.4-1 RHEL-7.3 ondemand image.
Result is Pass.

Comment 4 Yuxin Sun 2017-03-06 03:15:59 UTC
Change the status to "POST" for developers to add it into ERRATA.


Note You need to log in before you can comment on or make changes to this bug.